## org.eclipse.amp.agf3d
Class AgentEdit3DPart.FigureImplementation

    java.lang.Object
      ShapeFigure3D
          org.eclipse.amp.agf3d.AgentEdit3DPart.FigureImplementation

Enclosing class:
  AgentEdit3DPart

    private final class AgentEdit3DPart.FigureImplementation

extends ShapeFigure3D

Author:
  mparker

Field Summary
`private ISurface` `m_surface`

Constructor Summary
`AgentEdit3DPart.FigureImplementation()`

Method Summary
`protected Shape` `createShape()`
`ISurface` `getSurface()`
`void` `revalidate()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_surface

    private ISurface m_surface

Constructor Detail

### AgentEdit3DPart.FigureImplementation

    public AgentEdit3DPart.FigureImplementation()

Method Detail

### getSurface

    public ISurface getSurface()

### revalidate

    public void revalidate()

  See Also:
    `IFigure#revalidate()`

### createShape

    protected Shape createShape()

  Returns:
  See Also:
    `org.eclipse.draw3d.ShapeFigure3D#createShape()`

Copyright (C) 2007-2009 Metascape, LLC, 2009 Miles Parker, 2006-2007 Argonne National Labs, and Contributors